Get
curl --request GET \
--url https://api.nebius.cloud/msp/postgresql/v1alpha1/backups/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/msp/postgresql/v1alpha1/backups/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/msp/postgresql/v1alpha1/backups/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creationFinish": "2023-11-07T05:31:56Z",
"creationStart": "2023-11-07T05:31:56Z",
"id": "<string>",
"onDemand": true,
"sizeBytes": "<string>",
"sourceClusterId": "<string>",
"sourceClusterName": "<string>",
"sourceClusterVisible": true
}backups
Get
Returns the specified PostgreSQL Cluster backup. To get the list of available PostgreSQL Cluster backups, make a [List] or [ListByCluster] request.
GET
/
msp
/
postgresql
/
v1alpha1
/
backups
/
get
Get
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the PostgreSQL cluster that holds backup.
ID of the designated backup.
Response
200 - application/json
A successful response.
Creation finish timestamp.
Creation start timestamp.
Required. ID of the backup.
Is the backup an on-demand manual backup.
Size of the backup in bytes.
ID of the PostgreSQL cluster that the backup was created for.
Name of the PostgreSQL cluster that the backup was created for.
Is PostgreSQL cluster that the backup was created for visible.
Was this page helpful?